com.hazelcast.config

## Class PermissionPolicyConfig

- java.lang.Object
- - com.hazelcast.config.PermissionPolicyConfig

-     public class PermissionPolicyConfig
      extends Object

  Contains the configuration for policy of permission

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionPolicyConfig()`
    `PermissionPolicyConfig(String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getClassName()`
    `IPermissionPolicy` | `getImplementation()`
    `Properties` | `getProperties()`
    `int` | `hashCode()`
    `PermissionPolicyConfig` | `setClassName(String className)`
    `PermissionPolicyConfig` | `setImplementation(IPermissionPolicy policyImpl)`
    `PermissionPolicyConfig` | `setProperties(Properties properties)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionPolicyConfig

          public PermissionPolicyConfig()

    - #### PermissionPolicyConfig

          public PermissionPolicyConfig(String className)

  - ### Method Detail

    - #### getClassName

          public String getClassName()

    - #### setClassName

          public PermissionPolicyConfig setClassName(String className)

    - #### getImplementation

          public IPermissionPolicy getImplementation()

    - #### setImplementation

          public PermissionPolicyConfig setImplementation(IPermissionPolicy policyImpl)

    - #### getProperties

          public Properties getProperties()

    - #### setProperties

          public PermissionPolicyConfig setProperties(Properties properties)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019. All rights reserved.